/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Product criteria.
 */
@ApiModel(description = "Product criteria.")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model167 {
  @SerializedName("product_type")
  private String productType = null;

  @SerializedName("catalog")
  private ProductCatalog catalog = null;

  public Model167 productType(String productType) {
    this.productType = productType;
    return this;
  }

   /**
   * Product type, indicates if the customer wants insurance for multi devices or only one. If product type is MONO_APPLIANCE, then \&quot;Devices Criteria\&quot; is mandatory. Expected values (MULTI_APPLIANCE, MONO_APPLIANCE)
   * @return productType
  **/
  @ApiModelProperty(example = "MONO_APPLIANCE", value = "Product type, indicates if the customer wants insurance for multi devices or only one. If product type is MONO_APPLIANCE, then \"Devices Criteria\" is mandatory. Expected values (MULTI_APPLIANCE, MONO_APPLIANCE)")
  public String getProductType() {
    return productType;
  }

  public void setProductType(String productType) {
    this.productType = productType;
  }

  public Model167 catalog(ProductCatalog catalog) {
    this.catalog = catalog;
    return this;
  }

   /**
   * Get catalog
   * @return catalog
  **/
  @ApiModelProperty(required = true, value = "")
  public ProductCatalog getCatalog() {
    return catalog;
  }

  public void setCatalog(ProductCatalog catalog) {
    this.catalog = catalog;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model167 model167 = (Model167) o;
    return Objects.equals(this.productType, model167.productType) &&
        Objects.equals(this.catalog, model167.catalog);
  }

  @Override
  public int hashCode() {
    return Objects.hash(productType, catalog);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model167 {\n");
    
    sb.append("    productType: ").append(toIndentedString(productType)).append("\n");
    sb.append("    catalog: ").append(toIndentedString(catalog)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

